aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code
diff options
context:
space:
mode:
Diffstat (limited to 'gcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code')
-rwxr-xr-xgcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code42
1 files changed, 42 insertions, 0 deletions
diff --git a/gcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code b/gcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code
new file mode 100755
index 000000000..2c0398bea
--- /dev/null
+++ b/gcc-4.4.0/contrib/reghunt/bin/gcc-test-wrong-code
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+# Test a "wrong-code" GCC bug, using environment variables set in
+# several reghunt scripts and configuration files.
+#
+# Copyright (C) 2007 Free Software Foundation.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# For a copy of the GNU General Public License, write the the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02111-1301, USA.
+
+ID=$1
+
+LOGID=`printf "%04d" ${ID}`
+LOG=${BUGID}.${LOGID}.out
+MSGID="bug ${BUGID}, id ${ID}"
+
+$REG_TEST_COMPILER $REG_OPTS $REG_TESTCASE > ${LOG} 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "`date` unexpected failure: test compilation failed for ${MSGID}"
+ exit $REG_ERROR
+fi
+
+./a.out >> ${LOG} 2>&1
+if [ $? -ne 0 ]; then
+ echo "`date` test run aborted for ${MSGID}"
+ exit $REG_FAIL
+fi
+
+echo "`date` test ran successfully for ${MSGID}"
+exit $REG_PASS